POST
/api/Checkout/sessions/resolve
const url = 'https://example.com/api/Checkout/sessions/resolve';const options = { method: 'POST', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"d":"example","s":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://example.com/api/Checkout/sessions/resolve \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "d": "example", "s": "example" }'Verifies the HMAC signature on a checkout deep link, creates a CheckoutSession, and returns a short-lived JWT the browser uses for subsequent endpoints. Anonymous.
Authorizations
Section titled “Authorizations ”Request Body
Section titled “Request Body ”object
d
required
string
s
required
string
Example generated
{ "d": "example", "s": "example"}object
d
required
string
s
required
string
Example generated
{ "d": "example", "s": "example"}object
d
required
string
s
required
string
Example generated
{ "d": "example", "s": "example"}Responses
Section titled “ Responses ”OK
Media type application/json
object
outcome
string
sessionId
string format: uuid
sessionToken
string
expiresAt
string format: date-time
Example
{ "outcome": "Ok"}Unauthorized
Media type application/json
object
type
string
title
string
status
integer format: int32
detail
string
instance
string
key
additional properties
Example generated
{ "type": "example", "title": "example", "status": 1, "detail": "example", "instance": "example"}Not Found
Media type application/json
object
type
string
title
string
status
integer format: int32
detail
string
instance
string
key
additional properties
Example generated
{ "type": "example", "title": "example", "status": 1, "detail": "example", "instance": "example"}Conflict
Media type application/json
object
type
string
title
string
status
integer format: int32
detail
string
instance
string
key
additional properties
Example generated
{ "type": "example", "title": "example", "status": 1, "detail": "example", "instance": "example"}Gone
Media type application/json
object
type
string
title
string
status
integer format: int32
detail
string
instance
string
key
additional properties
Example generated
{ "type": "example", "title": "example", "status": 1, "detail": "example", "instance": "example"}